{
  num: -356024,
  accuracy: 100,
  basePower: 15,
  category: "Physical",
  name: "White Butterfly",
  pp: 20,
  priority: 0,
  flags: { protect: 1 },
  multihit: [3, 6],

  onPrepareHit(source, target, move) {
    move.whitebutterflyLayersAdded = 0;
  },

  onHit(target, source, move) {
    if (!source.whitebutterflyLayers) {
      source.whitebutterflyLayers = 0;
    }
    source.whitebutterflyLayers++;
    move.whitebutterflyLayersAdded++;
  },

  onAfterMove(source, target, move) {
  if (move.whitebutterflyLayersAdded > 0) {
    const total = source.whitebutterflyLayers || 0;
    this.add('-activate', source, 'move: White Butterfly');
    this.add('-start', source, 'whitebutterfly' , total);
  }
  },

  target: "normal",
  type: "Normal",
  contestType: "Beautiful"
}